------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Modules/GUI_tools.lua - Interface/Tools Tab
--
-- Author: Expelliarm5s / January 2020 / All Rights Reserved
--
-- Version 1.4.18
------------------------------------------------------------------------------
local addonName, addon = ...
local GUI = addon:GetModule("GUI")
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)
local AceGUI = LibStub("AceGUI-3.0")
------------------------------------------------------------------------------

GUI.guiTabs.texts["tools"] = {
	title=L["Tools"], desc=L["Tools"]}

-- currently disabled
-- GUI.guiTabs.order[#GUI.guiTabs.order + 1] = "tools"

-- create tools tab
GUI.guiTabs.select["tools"] = function(container, group)
	GUI:DebugPrintf("Select Tab %s: %s", group, tostring(container))
	if not container then
		GUI:DebugPrintf("Select Tab: container is nil")
	end

	-- min. Size
	GUI.display.frame:SetMinResize(500, 600)

	local grp1 = AceGUI:Create("SIDInlineGroup")
	grp1:SetLayout("Flow")
	if grp1.SetTitle then
		grp1:SetTitle(L["Tools"])
	end
	grp1:SetFullWidth(true)

	local text = L["T.B.D."]

	local i = GUI.AddButton("Label", text, "-")
	i:SetFullWidth(true)
	grp1:AddChild(i)
	container:AddChild(grp1)

	return container
end

-- EOF

